summaryrefslogtreecommitdiffstats
path: root/initramfs/initrd-stuff/bin/hwautocfg
diff options
context:
space:
mode:
authorDirk von Suchodoletz2007-02-26 16:28:32 +0100
committerDirk von Suchodoletz2007-02-26 16:28:32 +0100
commit7fb326f12698c20ea302e4a80cc4ff755050c83f (patch)
treecbd037e5a7d6e61e7f6a0337ad8c86f0cb643a06 /initramfs/initrd-stuff/bin/hwautocfg
parentnew exclude added for gentoo ld4-install (diff)
downloadcore-7fb326f12698c20ea302e4a80cc4ff755050c83f.tar.gz
core-7fb326f12698c20ea302e4a80cc4ff755050c83f.tar.xz
core-7fb326f12698c20ea302e4a80cc4ff755050c83f.zip
Bugfix for init/hwautocfg (waitfor), minor cleanups ...
git-svn-id: http://svn.openslx.org/svn/openslx/trunk@724 95ad53e4-c205-0410-b2fa-d234c58c8868
Diffstat (limited to 'initramfs/initrd-stuff/bin/hwautocfg')
-rwxr-xr-xinitramfs/initrd-stuff/bin/hwautocfg14
1 files changed, 7 insertions, 7 deletions
diff --git a/initramfs/initrd-stuff/bin/hwautocfg b/initramfs/initrd-stuff/bin/hwautocfg
index bfbbe59f..177dd866 100755
--- a/initramfs/initrd-stuff/bin/hwautocfg
+++ b/initramfs/initrd-stuff/bin/hwautocfg
@@ -307,12 +307,6 @@ for driver in ehci-hcd ohci1394; do
driverlist="${driverlist} ${driver}"; }
done
[ -x /bin/mdev ] && mdev -s &
-# remove unneeded network card and USB 1.1 modules
-for driver in ${NWMODULES} ohci-hcd uhci-hcd ; do
- strinfile " ${driver}" /tmp/hwsetup.info || {
- rmmod ${driver} &
- driverlist="${driverlist} ${driver}"; }
-done
# check for pcmcia / cardbus stuff
for driver in yenta_socket i82365 pd6729 tcic; do
strinfile " ${driver}" /tmp/hwsetup.info && {
@@ -335,7 +329,13 @@ fi
test -f /proc/bus/usb/devices || \
mount -n -t usbfs usbfs /proc/bus/usb 2>/dev/null
[ $DEBUGLEVEL -eq 21 ] && echo "** started 2nd hwdetection at $(sysup)"
-hwsetup -v > /tmp/hwsetup.info
+# remove unneeded network card and USB 1.1 modules
+for driver in ${NWMODULES} ohci-hcd uhci-hcd ; do
+ strinfile " ${driver}" /tmp/hwsetup.info || {
+ rmmod ${driver}
+ driverlist="${driverlist} ${driver}"; }
+done
+usleep 100 && hwsetup -v > /tmp/hwsetup.info
[ $DEBUGLEVEL -eq 21 ] && echo "** finished 2nd hwdetection at $(sysup)"
# load IDE high level drivers